import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;


/*import java.util.ArrayList;
import java.util.Collection;
import java.util.List;*/

/**
 *
 */
public class ControladorBD {

   
    private static EntityManagerFactory emf = javax.persistence.Persistence.createEntityManagerFactory("Risk-GraficoPU");

 
    
    /**
    * Creates a new instance of ControladorBD
    */
    private  ControladorBD() {
    }

    public static void persist(Object object) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        try {
            em.merge(object);
            em.getTransaction().commit();
        } catch (Exception e) {
            e.printStackTrace();
            em.getTransaction().rollback();
        } finally {
            em.close();
        }
    }
    public static List getData() {
       return emf.createEntityManager().createQuery("select p from Juego p").getResultList();
    }
    /*private static Collection<Jugador> createJugador() {
	Collection<Jugador> retVal = new ArrayList<Jugador>(5);
	Jugador p = new Jugador();
	p.setNombre("John");
	p.setApellidos("Vlissides");
        p.setNick("Johnny");
	Ficha a = new Ficha();
	a.setFigura("Dedal");
	a.setColor("Amarillo");
	p.setMificha(a);
	retVal.add(p);
	
	p = new Jugador();
	p.setNombre("Richard");
	p.setApellidos("Helm");
        p.setNick("Ritchie");
	a = new Ficha();
	a.setFigura("Barco");
	a.setColor("Rojo");
        p.setMificha(a);
	retVal.add(p);
	
	p = new Jugador();
	p.setNombre("Ralph");
	p.setApellidos("Johnson");
        p.setNick("Ralphie");
	a = new Ficha();
	a.setFigura("Plancha");
	a.setColor("Verde");
        p.setMificha(a);
	retVal.add(p);
        
	p = new Jugador();
	p.setNombre("Erich");
	p.setApellidos("Gamma");
        p.setNick("Err");
	a = new Ficha();
	a.setFigura("Avion");
	a.setColor("Azul");
        p.setMificha(a);
	retVal.add(p);

        return retVal;
    }*/

   

 
}
